Bug 11100 - Password synchronization is not working properly
Password synchronization is not working properly
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-28 11:36 EDT by rwh
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-18 17:33:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rwh 2000-04-28 11:36:49 EDT
I've installed a local network with win 95 OSR2 clients and a RH 6.1 Samba
server. This includes encrypted password utilization. Moreover, my server
acts as domain controller.

When changing password on the client PC through /control panel/passwords/,
I get an error message saying my password is wrong despite the fact it was
actually correct. If I keep validating several times without any
modification of the data entered, it answers finally ok and my password is
correctly updated at the server level (including Linux password).

When looking at the smb log files, I don't see any difference between the
time the password was changed successfully and the other time when the
chaning process failed, except a "read time-out" when confirming the
password in the password chat.

Many thanks for your help !

Ivan.
Comment 1 giulioo 2000-09-30 03:56:27 EDT
AFAIK rh61 has samba 2.0.6. Some serious (very) timing issues with pwd sync 
were solved in 2.0.7.

To see a meaningful log for passwd sync you should:
1) set log level to 100
2) passwd chat debug = yes
Comment 2 Bill Nottingham 2001-04-18 17:38:25 EDT
Please try with the 6.2 samba packages, and reopen if this persists.

Note You need to log in before you can comment on or make changes to this bug.